- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces
IWORKRecorder.cpp File Reference
`#include "IWORKRecorder.h"`
`#include <deque>`
`#include <boost/variant.hpp>`
`#include "IWORKCollector.h"`
`#include "IWORKTableRecorder.h"`
`#include "IWORKText.h"`
`#include "IWORKTextRecorder.h"`

## Classes
struct | libetonyek::IWORKRecorder::Impl

## Namespaces
| libetonyek

## Variable Documentation

IWORKCollector& m_collector
| private

const IWORKMediaContentPtr_t m_content

const IWORKGeometryPtr_t m_geometry

const IWORKImagePtr_t m_image

const IWORKLinePtr_t m_line

const IWORKPathPtr_t m_path

const IWORKStylePtr_t m_style

const IWORKStylesheetPtr_t m_stylesheet

Referenced by libetonyek::IWORKStylesheetBase::endOfElement(), and libetonyek::IWORKStylesheetBase::startOfElement().

const boost::shared_ptr<IWORKTable> m_table

const boost::shared_ptr<IWORKText> m_text